Subject: Re: linux-next: manual merge of the kmemleak tree

From: Eduard - Gabriel Munteanu <[email-masked]>
Date: Thu, 15 Jan 2009 19:49:21 +0200

On Thu, Jan 15, 2009 at 12:04:57PM +0000, Catalin Marinas wrote:
> The only issue is that kmemleak would need to register the callbacks
> before the slab allocator is initialised (otherwise it may miss some
> allocations). So it would need a 3-stage initialisation - pre-slab,
> post-slab and late_initcall.

Sure, that is not a problem, as kmemtrace needn't be compiled in for
the tracepoints to work. As long as they're defined in some header and
included, you can register multiple probes from all over the kernel.
This also means you won't have to interact with kmemtrace code.

	Eduard